# fortios_wireless_controller_timers – Configure CAPWAP timers in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify wireless_controller feature and timers category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
wireless_controller_timers dictionary | Default: null | Configure CAPWAP timers.
| ble_scan_report_intv integer |  | Time between running Bluetooth Low Energy (BLE) reports (10 - 3600 sec).
| client_idle_timeout integer |  | Time after which a client is considered idle and times out (20 - 3600 sec).

darrp_day
string

Choices:
- sunday
- monday
- tuesday
- wednesday
- thursday
- friday
- saturday

Weekday on which to run DARRP optimization.

| darrp_optimize integer |  | Time for running Dynamic Automatic Radio Resource Provisioning (DARRP) optimizations (0 - 86400 sec).
| darrp_time list |  | Time at which DARRP optimizations run (you can add up to 8 times).
|  | time string / required |  | Time.
| discovery_interval integer |  | Time between discovery requests (2 - 180 sec).
| echo_interval integer |  | Time between echo requests sent by the managed WTP, AP, or FortiAP (1 - 255 sec).
| fake_ap_log integer |  | Time between recording logs about fake APs if periodic fake AP logging is configured (0 - 1440 min).
| ipsec_intf_cleanup integer |  | Time period to keep IPsec VPN interfaces up after WTP sessions are disconnected (30 - 3600 sec).
| radio_stats_interval integer |  | Time between running radio reports (1 - 255 sec).
| rogue_ap_log integer |  | Time between logging rogue AP messages if periodic rogue AP logging is configured (0 - 1440 min).
| sta_capability_interval integer |  | Time between running station capability reports (1 - 255 sec).
| sta_locate_timer integer |  | Time between running client presence flushes to remove clients that are listed but no longer present (0 - 86400 sec).
| sta_stats_interval integer |  | Time between running client (station) reports (1 - 255 sec).
| vap_stats_interval integer |  | Time between running Virtual Access Point (VAP) reports (1 - 255 sec).

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure CAPWAP timers.
        fortios_wireless_controller_timers:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          wireless_controller_timers:
            ble_scan_report_intv: "3"
            client_idle_timeout: "4"
            darrp_day: "sunday"
            darrp_optimize: "6"
            darrp_time:
             -
                time: "<your_own_value>"
            discovery_interval: "9"
            echo_interval: "10"
            fake_ap_log: "11"
            ipsec_intf_cleanup: "12"
            radio_stats_interval: "13"
            rogue_ap_log: "14"
            sta_capability_interval: "15"
            sta_locate_timer: "16"
            sta_stats_interval: "17"
            vap_stats_interval: "18"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.